#
# bug.rb
#
#   Copyright (c) 1999-2002 Minero Aoki <aamine@loveruby.net>
#
#   This program is free software.
#   You can distribute/modify this program under the terms of
#   the GNU Lesser General Public License version 2 or later.
#
#   $Id: bug.rb,v 1.10 2002/01/05 06:19:34 aamine Exp $
#
# Usage:
#
#   if find_bug then
#     bug! "unknown bug found"
#   end
#

class ScriptBug < Exception; end

def bug!( message = 'must not happen' )
  raise ScriptBug, "\n[SCRIPT BUG] " + message
end
